# ogGui

ogGui es un proyecto frontend desarrollado en Angular para proporcionar una interfaz de usuario a la herramienta OpenGnsys.

## Ambiente de Desarrollo

Este proyecto ha sido desarrollado y probado en el siguiente entorno de desarrollo:

- Sistema operativo: Ubuntu 22.04.3 LTS (Release: 22.04, Codename: jammy)
- Editor de código: Visual Studio Code 1.87.2
- Node.js: v22.1.0
- npm: 10.7.0
- Angular CLI: 12.0.3
- Angular Core: 12.0.1
- Angular Material: 12.0.2

## Instalación


1. Instala la versión mas reciente de Node.js (v22.1.0) 
   <br>`https://nodejs.org`
2. En caso de no tener instalado npm
   <br>`sudo apt install npm`
3. Instalar Angular cli >= 12
   <br>`npm install -g @angular/cli`
4. Clona este repositorio en tu máquina local utilizando Git.
5. Situate dentro del directorio /ogWebconsole
6. Instala las dependencias del proyecto
   <br>`npm install`.
7. Para ejecutar la aplicación en modo de desarrollo, utiliza el comando `ng serve`. La aplicación estará disponible en `http://localhost:4200/`.