import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'app-detail-command-group',
  templateUrl: './detail-command-group.component.html',
  styleUrls: ['./detail-command-group.component.css']
})
export class DetailCommandGroupComponent {
  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any,
    private dialogRef: MatDialogRef<DetailCommandGroupComponent> 
  ) {}

  close(): void {
    this.dialogRef.close(); 
  }
}
